package models

// ServerMessage represents the data sent to the client via WebSocket.
type ServerMessage struct {
	Mode         string `json:"mode"`           // "Work", "ShortBreak", or "LongBreak"
	Session      int    `json:"session"`        // Current session number
	TotalSession int    `json:"total_sessions"` // Total number of sessions
	TimeLeft     int    `json:"time_left"`      // Remaining time in seconds
	Ongoing      bool   `json:"ongoing"`        // Ongoing pomodoro
	Paused       bool   `json:"paused"`         // Is timer paused
}
